﻿using System;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using System.Data;
using System.Configuration;
using System.Web.Security;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI;

public partial class Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        var tabTemplate = new TabTemplate();
        foreach (RadTab tab in RadTabStrip1.Tabs)
        {
            tabTemplate.InstantiateIn(tab);
        }

    }
    protected void RadMultiPage1_PageViewCreated(object sender, RadMultiPageEventArgs e)
    {
        if (e.PageView.ID == "Grid")
        {
            e.PageView.ContentUrl = "http://www.telerik.com/products/aspnet-ajax/grid.aspx";
        }
        else if (e.PageView.ID == "Editor")
        {
            e.PageView.ContentUrl = "http://www.telerik.com/products/aspnet-ajax/editor.aspx";
        }
        else if (e.PageView.ID == "TabStrip")
        {
            e.PageView.ContentUrl = "http://www.telerik.com/products/aspnet-ajax/tabstrip.aspx";
        }
    }
    protected void RadComboBox1_SelectedIndexChanged(object sender, RadComboBoxSelectedIndexChangedEventArgs e)
    {
        AddTab(e.Text);
    }

    private void AddTab(string title)
    {
        var tabTemplate = new TabTemplate();
        RadTab tab = new RadTab() { Text = title };
        tabTemplate.InstantiateIn(tab);
        RadTabStrip1.Tabs.Add(tab);
        RadPageView pageView = new RadPageView();

        pageView.ID = title;

        RadMultiPage1.PageViews.Add(pageView);
        RadMultiPage1.SelectedIndex = pageView.Index;


        RadTabStrip1.DataBind();
        RadTabStrip1.SelectedIndex = tab.Index;
    }

}
public class TabTemplate : ITemplate
{
    public void InstantiateIn(Control container)
    {
        Label label1 = new Label();
        label1.ID = "ItemLabel";
        label1.Text = (container as RadTab).Text;
        container.Controls.Add(label1);


        ImageButton imgRemove = new ImageButton();
        imgRemove.Init += imgRemove_Init;
        imgRemove.ID = "ImageButton1";
        imgRemove.Width = Unit.Pixel(9);
        imgRemove.Height = Unit.Pixel(9);
        imgRemove.ImageUrl = "~/cut.png";
        container.Controls.Add(imgRemove);
    }
    void imgRemove_Init(object sender, EventArgs e)
    {
        ImageButton img = (ImageButton)sender;
        img.Click += imgRemove_Click;

    }

    void imgRemove_Click(object sender, ImageClickEventArgs e)
    {
        ImageButton img = (ImageButton)sender;
        RadTab tab = img.Parent as RadTab;

        tab.TabStrip.SelectedIndex = tab.Index - 1;
        tab.PageView.MultiPage.SelectedIndex = tab.Index - 1;

        tab.PageView.MultiPage.PageViews.Remove(tab.PageView);
        tab.TabStrip.Tabs.Remove(tab);
    }
}
